### Hierarchy

- CharBundle

## Index

### Properties

- ASCII_LETTER
- OCCIDENTAL_LETTER
- UTF8_LETTER

### Methods

- char
- charIn
- charLiteral
- charNotIn
- emoji
- letter
- letterAs
- letters
- lettersAs
- lowerCase
- notChar
- notString
- string
- stringIn
- stringLiteral
- upperCase
- utf8Letter

## Properties

### ASCII_LETTER

ASCII_LETTER: symbol

- Defined in masala-parser.d.ts:659

### OCCIDENTAL_LETTER

OCCIDENTAL_LETTER: symbol

- Defined in masala-parser.d.ts:658

### UTF8_LETTER

UTF8_LETTER: symbol

- Defined in masala-parser.d.ts:657

## Methods

### char

- char(c: string): SingleParser<string>

- - Defined in masala-parser.d.ts:713

  Accepts a char

  #### Parameters

  - ##### c: string

  #### Returns SingleParser<string>

### charIn

- charIn(strings: string): SingleParser<string>

- - Defined in masala-parser.d.ts:719

  Accepts any char listed in

  #### Parameters

  - ##### strings: string

  #### Returns SingleParser<string>

### charLiteral

- charLiteral(): SingleParser<string>

- - Defined in masala-parser.d.ts:743

  Single character inside single quote, like C/Java characters: `'a'`, `'x'`

  #### Returns SingleParser<string>

### charNotIn

- charNotIn(exclude: string): SingleParser<string>

- - Defined in masala-parser.d.ts:707

  Accepts any character that is not listed in the `exclude` chain

  #### Parameters

  - ##### exclude: string

    excluded characters

    WARNING: might be issues on emoji

  #### Returns SingleParser<string>

### emoji

- emoji(): SingleParser<string>

- - Defined in masala-parser.d.ts:693

  Accepts an emoji

  WARNING: experimental, help needed; Working on emoji is a full-time specialist job.

  #### Returns SingleParser<string>

### letter

- letter(): SingleParser<string>

- - Defined in masala-parser.d.ts:669

  Accepts any occidental letter, including most accents

  #### Returns SingleParser<string>

### letterAs

- letterAs(s: symbol): SingleParser<string>

- - Defined in masala-parser.d.ts:676

  Choose s in UTF8_LETTER, OCCIDENTAL_LETTER, ASCII_LETTER Ascii letters are A-Za-z letters, excluding any accent

  #### Parameters

  - ##### s: symbol

  #### Returns SingleParser<string>

### letters

- letters(): SingleParser<string>

- - Defined in masala-parser.d.ts:681

  Accepts a sequence of letters, joined as a string text

  #### Returns SingleParser<string>

### lettersAs

- lettersAs(s: symbol): SingleParser<string>

- - Defined in masala-parser.d.ts:686

  Sequence of letters, joined as a string text. See letterAs

  #### Parameters

  - ##### s: symbol

  #### Returns SingleParser<string>

### lowerCase

- lowerCase(): SingleParser<string>

- - Defined in masala-parser.d.ts:753

  a-z single letter. WARNING: doesn't work yet on accents or utf-8 characters

  #### Returns SingleParser<string>

### notChar

- notChar(exclude: string): SingleParser<string>

- - Defined in masala-parser.d.ts:699

  Accepts any character that is not the `exclude` character

  #### Parameters

  - ##### exclude: string

    one character exclude

  #### Returns SingleParser<string>

### notString

- notString(string: string): SingleParser<string>

- - Defined in masala-parser.d.ts:738

  Accept anything that is not this string. Useful to build stop. See also FlowBundle.moveUntil, FlowBundle.dropTo

  #### Parameters

  - ##### string: string

  #### Returns SingleParser<string>

### string

- string(string: string): SingleParser<string>

- - Defined in masala-parser.d.ts:725

  Accepts a string

  #### Parameters

  - ##### string: string

  #### Returns SingleParser<string>

### stringIn

- stringIn(strings: string[]): SingleParser<string>

- - Defined in masala-parser.d.ts:731

  Accept one of these strings

  #### Parameters

  - ##### strings: string[]

  #### Returns SingleParser<string>

### stringLiteral

- stringLiteral(): SingleParser<string>

- - Defined in masala-parser.d.ts:748

  String characters inside double quotes, like Java strings : `"Hello"`, `"World"`

  #### Returns SingleParser<string>

### upperCase

- upperCase(): SingleParser<string>

- - Defined in masala-parser.d.ts:758

  A-Z single letter. WARNING: doesn't work yet on accents or utf-8 characters

  #### Returns SingleParser<string>

### utf8Letter

- utf8Letter(): SingleParser<string>

- - Defined in masala-parser.d.ts:664

  Accepts any letter, including one character emoji. Issue on two characters emoji

  #### Returns SingleParser<string>

Generated using TypeDoc